jQuery(document).ready(function(){
if (jQuery(".gutentor-active").length && typeof jQuery.fn.slick !== 'undefined') {
  var landscape_designer_titleMain  = jQuery(".vertical-gal-one");
  var landscape_designer_titleSubs  = landscape_designer_titleMain.find("slick-active");

  if (landscape_designer_titleMain.length) {

    landscape_designer_titleMain.slick({
      autoplay: false,
      arrows: false,
      dots: false,
      slidesToShow: 4,
      centerPadding: "10px",
      draggable: false,
      infinite: true,
      pauseOnHover: true,
      swipe: false,
      touchMove: false,
      vertical: true,
      verticalScrolling: true,
      speed: 1000,
      autoplaySpeed: 3000,
      useTransform: true,
      cssEase: 'cubic-bezier(0.645, 0.045, 0.355, 1.000)',
      adaptiveHeight: true
    });

    // On init
    jQuery(".slick-dupe").each(function(index, el) {
      jQuery("#animatedHeading").slick('slickAdd', "<div>" + el.innerHTML + "</div>");
    });

    // Manually refresh positioning of slick
    landscape_designer_titleMain.slick('slickPlay');
  };

  var landscape_designer_titleMain  = jQuery(".vertical-gal-two");
  var landscape_designer_titleSubs  = landscape_designer_titleMain.find("slick-active");

  if (landscape_designer_titleMain.length) {
      landscape_designer_titleMain.slick({
        autoplay: false,
        arrows: false,
        dots: false,
        slidesToShow: 4,
        centerPadding: "10px",
        draggable: false,
        infinite: true,
        pauseOnHover: true,
        swipe: false,
        touchMove: false,
        vertical: true,
        verticalScrolling: true,
        speed: 1000,
        autoplaySpeed: 2000,
        useTransform: true,
        cssEase: 'cubic-bezier(0.645, 0.045, 0.355, 1.000)',
        adaptiveHeight: true
      });

      // On init
      jQuery(".slick-dupe").each(function(index, el) {
        jQuery("#animatedHeading").slick('slickAdd', "<div>" + el.innerHTML + "</div>");
      });

      // Manually refresh positioning of slick
      landscape_designer_titleMain.slick('slickPlay');
  };		
}
});

jQuery(document).ready(function() {
  jQuery(".banner-heading").each(function() {
      var landscape_designer_t = jQuery(this).text();
      var landscape_designer_splitT = landscape_designer_t.split(" ");
      var landscape_designer_lastIndex = landscape_designer_splitT.length - 1;
      var landscape_designer_newText = "";
      for (var landscape_designer_i = 0; landscape_designer_i < landscape_designer_splitT.length; landscape_designer_i++) {
          if (landscape_designer_i == landscape_designer_lastIndex) {
              landscape_designer_newText += "<span style='background-color: var(--wp--preset--color--secaccent)'>";
              landscape_designer_newText += landscape_designer_splitT[landscape_designer_i] + " ";
              landscape_designer_newText += "</span>";
          } else {
            landscape_designer_newText += landscape_designer_splitT[landscape_designer_i] + " ";
          }
      }
      jQuery(this).html(landscape_designer_newText);
  });
});


// swiper js
jQuery(document).ready(function () {
  var landscape_designer_swiper_testimonials = new Swiper(".testimonial-swiper-slider.mySwiper", {
    slidesPerView: 3,
      spaceBetween: 15,
      speed: 1000,
      autoplay: {
        delay: 3000,
        disableOnInteraction: false,
      },
      navigation: {
        nextEl: ".testimonial-swiper-button-next",
        prevEl: ".testimonial-swiper-button-prev",
      },
      breakpoints: {
        0: {
          slidesPerView: 1,
        },
        767: {
          slidesPerView: 2,
        },
        1023: {
          slidesPerView: 3,
        }
      },
  })
});